Bug 128569 - ccsd[3382]: Select failed: Bad file descriptor: 1-2 million times/minute
Summary: ccsd[3382]: Select failed: Bad file descriptor: 1-2 million times/minute
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-26 15:45 UTC by Derek Anderson
Modified: 2010-01-12 02:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 14:36:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-07-26 15:45:34 UTC
Description of problem:
Built from updated s.r.c source this morning, moved cluster.xml to
cluster.conf on all nodes, modprobed gfs and lock_dlm, started ccsd,
ran cman_tool join on all.

I am getting the following messages on all nodes:
Jul 26 16:17:57 link-11 kernel: CMAN: Waiting to join or form a
Linux-cluster
Jul 26 16:18:13 link-11 kernel: CMAN: forming a new cluster
Jul 26 16:18:13 link-11 ccsd[3382]: Select failed: Bad file descriptor
Jul 26 16:18:43 link-11 last message repeated 963702 times
Jul 26 16:19:44 link-11 last message repeated 1908462 times
Jul 26 16:25:58 link-11 last message repeated 1909919 times
Jul 26 16:26:58 link-11 last message repeated 1908367 times
Jul 26 16:27:59 link-11 last message repeated 1909961 times


Version-Release number of selected component (if applicable):
[root@link-11 cluster]# ccsd -V
ccsd DEVEL.1090872650 (built Jul 26 2004 15:11:54)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Always.

Steps to Reproduce:
1. modprobe gfs; modprobe lock_dlm
2. ccsd
3. cman_tool join
  
Actual results:


Expected results:


Additional info:

Comment 1 Jonathan Earl Brassow 2004-07-26 22:26:04 UTC
initializing rset before passing it to select should prevent select on bad file 
descriptors

Comment 2 Derek Anderson 2004-07-27 14:36:34 UTC
Fix for #128569 also fixed this.

Comment 3 Kiersten (Kerri) Anderson 2004-11-16 19:12:22 UTC
Updating version to the right level in the defects.  Sorry for the storm.


Note You need to log in before you can comment on or make changes to this bug.